@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@700&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

div {
  justify-content: center;

  text-align: center;
}
h2 {
  position: relative;
  font-size: 6em;
  color: rgba(128, 128, 128, 0);
  /* text-transform: uppercase; */
  border-bottom: 16px solid gray;
  letter-spacing: 0.05em;
  line-height: 1.2em;
}
h2::before {
  content: attr(data-text);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  color: #543196;
  border-bottom: 15px solid #543196;
  overflow: hidden;
  animation: animate 6s forwards infinite;
  animation-iteration-count: 1;
}

@keyframes animate {
  0% {
    width: 0;
  }
  70% {
    width: 100%;
  }
}
